# e-Amusement Universe Repo

This is a meta repository for different components of my e-Amusement
implementation. This has been done to facilitate partial-access to certain
parts of the codebase using gitea permissions.

Do **not** clone this repository recursively. It will probably fail. Instead,
`setup` should be run after cloning, which will initialise any submodules you
have access to, and will also setup the `eaapi` package (assuming it cloned).

This script assumes both `git` and `py` are on the path.

I'm happy to provide individual access to the majority of these child
repositories on request.

The `.cmd` helper scripts in this repo are mostly for bulk management of the
submodules; here be dragons!

## `docs`
The source and build system for https://bsnk.me/eamuse/

## `eaapi`
The main implementation of the e-Amusement transport layers.

Make sure to read the README here because otherwise nothing will start.

## `eaapi/eaapi/server`
A surprisingly capable werkzeug server for rapid development of e-Amusement
servers.

## `server-dummy`
A super barebones e-Amusement server that's able to start a surprising number of games.
Largely exists as a proof of concept, and as a testing ground for specific endpoints without having
the overhead of an entire EA server running.

## `server-full`
A less barebones server, used for experiementing with more complex behaviours. This probably won't
ever end up public, but now you know what it is I guess.

## `proxy`
An e-Amusement server designed to proxy requests to a different upstream server, while allowing the
observation of requests as they're made.
